## imcode.server
Class SimpleProblem

    java.lang.Object
      imcode.server.SimpleProblem

All Implemented Interfaces:
  SanityCheck.Problem

    public class SimpleProblem

extends java.lang.Object
implements SanityCheck.Problem

Nested Class Summary

Nested classes/interfaces inherited from interface imcode.server.SanityCheck.Problem
`SanityCheck.Problem.Severity`

Constructor Summary
`SimpleProblem(SanityCheck.Problem.Severity severity, java.lang.String description)`

Method Summary
`java.lang.String` `getDescription()`
`SanityCheck.Problem.Severity` `getSeverity()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleProblem

    public SimpleProblem(SanityCheck.Problem.Severity severity,
                         java.lang.String description)

Method Detail

### getSeverity

    public SanityCheck.Problem.Severity getSeverity()

  Specified by:
    `getSeverity` in interface `SanityCheck.Problem`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SanityCheck.Problem`